#import "AndroidForegroundAlivePlugin.h"

@implementation AndroidForegroundAlivePlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"android_foreground_alive"
            binaryMessenger:[registrar messenger]];
  AndroidForegroundAlivePlugin* instance = [[AndroidForegroundAlivePlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"startForegroundAlive" isEqualToString:call.method]){
      return @"not support";
  } else {
    result(FlutterMethodNotImplemented);
  }
}


@end
