import 'dart:async';

import 'package:flutter/services.dart';

class AndroidForegroundAlive {
  static const MethodChannel _channel =
      const MethodChannel('android_foreground_alive');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get startForegroundAlive async {
    final String version = await _channel.invokeMethod('startForegroundAlive');
    return version;
  }
}
